| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IContentFilter Struct Referenceabstract

The interface that content filter objects should implement. More...

`#include <IContentFilter.hpp>`

## Classes

struct | FilterSampleInfo
| Selected information from the cache change that is passed to the content filter object on payload evaluation. More...

## Public Types

using | SerializedPayload = eprosima::fastdds::rtps::SerializedPayload_t
using | GUID_t = fastdds::rtps::GUID_t

## Public Member Functions

virtual | ~IContentFilter ()=default
virtual bool | evaluate (const SerializedPayload &payload, const FilterSampleInfo &sample_info, const GUID_t &reader_guid) const =0
| Evaluate if a serialized payload should be accepted by certain reader.

## Detailed Description

The interface that content filter objects should implement.

## Member Typedef Documentation

## ◆ GUID_t

using GUID_t = fastdds::rtps::GUID_t

## ◆ SerializedPayload

using SerializedPayload = eprosima::fastdds::rtps::SerializedPayload_t

## Constructor & Destructor Documentation

## ◆ ~IContentFilter()

virtual ~IContentFilter | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ evaluate()

virtual bool evaluate | ( | const SerializedPayload & | payload,
|  | const FilterSampleInfo & | sample_info,
|  | const GUID_t & | reader_guid ) const

pure virtual

Evaluate if a serialized payload should be accepted by certain reader.

Parameters

  [in] | payload | The serialized payload of the sample being evaluated.
  [in] | sample_info | The accompanying sample information.
  [in] | reader_guid | The GUID of the reader for which the filter is being evaluated.

Returns
  whether the sample should be accepted for the specified reader.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/topic/IContentFilter.hpp